> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /coinglass/liquidations/heatmap

> Get the liquidation heatmap price levels for a coin

**Price:** 5 credits

**⚠️ Common errors:** 412: Coin not found



## OpenAPI

````yaml /openapi/crypto-defi.json post /api/coinglass/liquidations/heatmap
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/coinglass/liquidations/heatmap:
    post:
      tags:
        - /coinglass
      summary: /coinglass/liquidations/heatmap
      description: |-
        Get the liquidation heatmap price levels for a coin

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Coin not found
      operationId: __api_coinglass_liquidations_heatmap_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoinglassLiquidationsHeatmapPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CoinglassLiquidationHeatmap'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CoinglassLiquidationsHeatmapPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        symbol:
          type: string
          minLength: 1
      type: object
      required:
        - symbol
    CoinglassLiquidationHeatmap:
      properties:
        '@type':
          type: string
          default: CoinglassLiquidationHeatmap
        symbol:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        long_risk:
          anyOf:
            - type: number
            - type: 'null'
        short_risk:
          anyOf:
            - type: number
            - type: 'null'
        max_long_liquidation_price:
          anyOf:
            - type: number
            - type: 'null'
        max_long_liquidation_level:
          anyOf:
            - type: number
            - type: 'null'
        max_short_liquidation_price:
          anyOf:
            - type: number
            - type: 'null'
        max_short_liquidation_level:
          anyOf:
            - type: number
            - type: 'null'
        longs:
          items:
            $ref: '#/components/schemas/CoinglassLiquidationLevel'
          type: array
          default: []
        shorts:
          items:
            $ref: '#/components/schemas/CoinglassLiquidationLevel'
          type: array
          default: []
      type: object
      required:
        - symbol
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CoinglassLiquidationLevel:
      properties:
        '@type':
          type: string
          default: CoinglassLiquidationLevel
        price:
          type: number
        liquidation_usd:
          type: number
      type: object
      required:
        - price
        - liquidation_usd
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````